{% extends 'base.html' %}

{% load widget_tweaks %}
{% load param %}
{% block content %}

  <!-- Modal -->
  <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="myModalLabel">Warning</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            No Tool to be selected
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>


<h4 class="display-titre" style="background-color: rgb(255, 255, 255)">Select Tool</h4>
{% if exist_tool == 0 %}
No tools are available.
<br>
<br>
<button type="button" class="btn btn-secondary" onClick="window.history.go(-1);"> Back </button>
<a class="btn btn-primary" href="{% url 'core:tools-project' project.id %}">Add new tool</a>


{% else %}

{% if form.Name|length < 1 %}
All tools already link to this {{data_type}}
<br>

<button type="button" class="btn btn-secondary" onClick="window.history.go(-1);"> Back </button>


{% else %}

{% if function == "publish" %}
<form action="choose_tool_for_publish" method="post">
    {% else%}
    <form name="choose_tool" action="choose_tool" onsubmit="return validateForm()" method="post">
        {%endif%}
        {% csrf_token %}


        <div class="container">
            <table id="table" data-page-length='25' class="table table-striped table-bordered ">
                <thead class="thead-dark">
                    <tr>
                        <th></th>
                        <th>State</th>
                        <th>Tool name</th>
                        <th>Url host</th>
                        <th>Creation date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in all_tool_list  %}
                        {% if item in list_tools_linked %}
                            {% if item not in tools_not_available %}
                            <tr style="text-align: center">
                                <td><input type="radio" name="object_name" value="{{item.id}}" required=""
                                        id="id_object_name_1"></td>
                                <td>Connected</td>
                                <td><i class=""></i>{{item.name}}
                                </td>
                                <td><a href="{{ item|param:'url'}}" target="_blank">{{ item|param:'url' }}</a></td>
                                <td>{{item.date_created}}</td>
                            </tr>
                            {% else %}
                                <tr style="text-align: center; opacity: 0.4">
                                    <td>
                                        
                                    </td>
                                    <td>Connected</td>
                                    <td><i class=""></i>{{item.name}}
                                    </td>
                                    <td><a href="{{ item|param:'url' }}" target="_blank">{{ item|param:'url' }}</a></td>
                                    <td>{{item.date_created}}</td>
                                </tr>
                            {% endif %}
                        {% else %}
                            <tr style="text-align: center; background-color: grey">
                                <td>
                                    <a title="Link account  " type="button" style="margin-right:0; margin-left: 10px;" class="btn-sm btn rounded btn-danger"
                                        role=button href="{% url 'core:link-account' project.id item.id  %}">
                                         <i class="fa fa-link fa-1x tool ic-w mx-1"></i>
                                    </a>
                                </td>
                                <td>Not Connected</td>
                                <td><i class=""></i>{{item.name}}&nbsp;&nbsp;<button disabled
                                        class="btn btn-outline-dark btn-xs rounded" role=button>{{item.tag_tool|lower}}</button>
                                </td>
                                <td><a href="{{ item|param:'url' }}" target="_blank">{{ item|param:'url' }}</a></td>
                                <td>{{item.date_created}}</td>
                            </tr>
                    {% endif %}
                    {% endfor %}
                </tbody>
            </table>
        </div>

        <button type="button" class="btn btn-secondary" onClick="window.history.go(-1);"> Back </button>


        <input type="submit" class="btn btn-primary" value="Next">
    </form>
    <br>
    {% endif %}

    {% endif %}

    <script>
        function validateForm() {
            var table = $("#table");
            var radiotoshow = table.find("input[type=radio]");
            if (radiotoshow.length == 0) {
                $('#myModal').modal('show')
              return false;
            }
          }
    </script>   

    {% endblock %}